View Issue Details

IDProjectCategoryView StatusLast Update
0002636SymmetricDSBugpublic2016-06-10 10:22
ReporterelongAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.33 
Target Version3.7.34Fixed in Version3.7.34 
Summary0002636: Issue 0002584 in 3.7.33 broke AS/400 triggers
DescriptionIssue 0002584 in 3.7.33 changed the trigger template for DB2 and broke triggers for at least some versions of AS/400. It used to_clob() function that doesn't exist on AS/400. (To re-implement this at another time for AS/400, it should be the clob() function.)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 c4765b80

2016-06-08 16:44:08

admin

Details Diff
0002636: Issue 0002584 in 3.7.33 broke AS/400 triggers
0002584, 0002636
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2As400TriggerTemplate.java Diff File

SymmetricDS: 3.7 11dfb540

2016-06-09 17:07:24

josh-a-hicks

Details Diff
0002636: Issue 0002584 in 3.7.33 broke AS/400 triggers
0002584, 0002636
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2As400TriggerTemplate.java Diff File

SymmetricDS: 3.7 c0a7d192

2016-06-10 07:06:09

josh-a-hicks

Details Diff
0002636: Issue 0002584 in 3.7.33 broke AS/400 triggers
0002584, 0002636
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2As400DatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2016-06-08 16:14 elong New Issue
2016-06-08 16:43 elong Summary Issue 0002584 broke AS/400 triggers => Issue 0002584 in 3.7.33 broke AS/400 triggers
2016-06-08 16:43 elong Description Updated View Revisions
2016-06-08 16:46 elong Status new => resolved
2016-06-08 16:46 elong Resolution open => fixed
2016-06-08 16:46 elong Product Version => 3.7.33
2016-06-08 16:46 elong Fixed in Version => 3.7.34
2016-06-08 16:46 elong Target Version => 3.7.34
2016-06-08 17:00 admin Changeset attached => SymmetricDS 3.7 c4765b80
2016-06-10 08:00 josh-a-hicks Changeset attached => SymmetricDS 3.7 c0a7d192
2016-06-10 08:00 josh-a-hicks Changeset attached => SymmetricDS 3.7 11dfb540
2016-06-10 10:22 elong Status resolved => closed